package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterRiverRegion;
import com.lightinit.hsdatashow.entity.StWaterRiverRegionExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterRiverRegionMapper {
    long countByExample(StWaterRiverRegionExample example);

    int deleteByExample(StWaterRiverRegionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterRiverRegion record);

    int insertSelective(StWaterRiverRegion record);

    List<StWaterRiverRegion> selectByExample(StWaterRiverRegionExample example);

    StWaterRiverRegion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterRiverRegion record, @Param("example") StWaterRiverRegionExample example);

    int updateByExample(@Param("record") StWaterRiverRegion record, @Param("example") StWaterRiverRegionExample example);

    int updateByPrimaryKeySelective(StWaterRiverRegion record);

    int updateByPrimaryKey(StWaterRiverRegion record);
}